com.sun.jna.platform.win32

## Class AccCtrl.SE_OBJECT_TYPE

- java.lang.Object
- - com.sun.jna.platform.win32.AccCtrl.SE_OBJECT_TYPE

Enclosing class:
  AccCtrl

    public abstract class AccCtrl.SE_OBJECT_TYPE
    extends java.lang.Object

The SE_OBJECT_TYPE enumeration contains values that correspond to the types of Windows objects that support security. The functions, such as GetSecurityInfo and SetSecurityInfo, that set and retrieve the security information of an object, use these values to indicate the type of object.

### Field Summary

Fields
`static int` `SE_DS_OBJECT` Indicates a directory service object or a property set or property of a directory service object.
`static int` `SE_DS_OBJECT_ALL` The server process can impersonate the client's security context on remote systems.
`static int` `SE_FILE_OBJECT` Indicates a file or directory.
`static int` `SE_KERNEL_OBJECT` Indicates a local kernel object.
`static int` `SE_LMSHARE` Indicates a network share.
`static int` `SE_PRINTER` Indicates a printer.
`static int` `SE_PROVIDER_DEFINED_OBJECT` Indicates a provider-defined object.
`static int` `SE_REGISTRY_KEY` Indicates a registry key.
`static int` `SE_REGISTRY_WOW64_32KEY` Indicates an object for a registry entry under WOW64.
`static int` `SE_SERVICE` Indicates a Windows service.
`static int` `SE_UNKNOWN_OBJECT_TYPE` Unknown object type.
`static int` `SE_WINDOW_OBJECT` Indicates a window station or desktop object on the local computer.
`static int` `SE_WMIGUID_OBJECT` Indicates a WMI object.

### Constructor Summary

Constructors
Constructor and Description
`SE_OBJECT_TYPE()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SE_UNKNOWN_OBJECT_TYPE

    public static final int SE_UNKNOWN_OBJECT_TYPE

Unknown object type.

See Also:
  Constant Field Values

#### SE_FILE_OBJECT

    public static final int SE_FILE_OBJECT

Indicates a file or directory. The name string that identifies a file or directory object can be in one of the following formats:

A relative path, such as FileName.dat or ..\FileName An absolute path, such as FileName.dat, C:\DirectoryName\FileName.dat, or G:\RemoteDirectoryName\FileName.dat. A UNC name, such as \\ComputerName\ShareName\FileName.dat.

See Also:
  Constant Field Values

#### SE_SERVICE

    public static final int SE_SERVICE

Indicates a Windows service. A service object can be a local service, such as ServiceName, or a remote service, such as \\ComputerName\ServiceName.

See Also:
  Constant Field Values

#### SE_PRINTER

    public static final int SE_PRINTER

Indicates a printer. A printer object can be a local printer, such as PrinterName, or a remote printer, such as \\ComputerName\PrinterName.

See Also:
  Constant Field Values

#### SE_REGISTRY_KEY

    public static final int SE_REGISTRY_KEY

Indicates a registry key. A registry key object can be in the local registry, such as CLASSES_ROOT\SomePath or in a remote registry, such as \\ComputerName\CLASSES_ROOT\SomePath.

The names of registry keys must use the following literal strings to identify the predefined registry keys: "CLASSES_ROOT", "CURRENT_USER", "MACHINE", and "USERS".

See Also:
  Constant Field Values

#### SE_LMSHARE

    public static final int SE_LMSHARE

Indicates a network share. A share object can be local, such as ShareName, or remote, such as \\ComputerName\ShareName.

See Also:
  Constant Field Values

#### SE_KERNEL_OBJECT

    public static final int SE_KERNEL_OBJECT

Indicates a local kernel object. The GetSecurityInfo and SetSecurityInfo functions support all types of kernel objects. The GetNamedSecurityInfo and SetNamedSecurityInfo functions work only with the following kernel objects: semaphore, event, mutex, waitable timer, and file mapping.

See Also:
  Constant Field Values

#### SE_WINDOW_OBJECT

    public static final int SE_WINDOW_OBJECT

Indicates a window station or desktop object on the local computer. You cannot use GetNamedSecurityInfo and SetNamedSecurityInfo with these objects because the names of window stations or desktops are not unique.

See Also:
  Constant Field Values

#### SE_DS_OBJECT

    public static final int SE_DS_OBJECT

Indicates a directory service object or a property set or property of a directory service object. The name string for a directory service object must be in X.500 form, for example: CN=SomeObject,OU=ou2,OU=ou1,DC=DomainName,DC=CompanyName,DC=com,O=internet

See Also:
  Constant Field Values

#### SE_DS_OBJECT_ALL

    public static final int SE_DS_OBJECT_ALL

The server process can impersonate the client's security context on remote systems.

See Also:
  Constant Field Values

#### SE_PROVIDER_DEFINED_OBJECT

    public static final int SE_PROVIDER_DEFINED_OBJECT

Indicates a provider-defined object.

See Also:
  Constant Field Values

#### SE_WMIGUID_OBJECT

    public static final int SE_WMIGUID_OBJECT

Indicates a WMI object.

See Also:
  Constant Field Values

#### SE_REGISTRY_WOW64_32KEY

    public static final int SE_REGISTRY_WOW64_32KEY

Indicates an object for a registry entry under WOW64.

See Also:
  Constant Field Values

### Constructor Detail

#### SE_OBJECT_TYPE

    public SE_OBJECT_TYPE()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.